=== debian/changelog ===
qt6-serialport (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Tue, 29 Mar 2022 20:38:04 +0200

qt6-serialport (6.2.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:00:12 +0100

qt6-serialport (6.2.2-1) experimental; urgency=medium

  [ Lu YaNing ]
  * Fix d/copyright Upstream-Name.
  * List cmake files in detail.

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Bump Qt B-Ds to 6.2.2.
  * Update installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 08:43:21 +0100

qt6-serialport (6.2.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.

 -- Patrick Franz <deltaone@debian.org>  Sun, 21 Nov 2021 02:33:53 +0100

qt6-serialport (6.2.1-1) experimental; urgency=medium

  * Initial release (Closes: #998819)

 -- Patrick Franz <deltaone@debian.org>  Mon, 08 Nov 2021 10:23:56 +0100
