## qt6-serialport 6.4.1

=== debian/changelog ===
qt6-serialport (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6serialport6-dev to qt6-serialport-dev.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Nov 2022 20:08:58 +0100

qt6-serialport (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Nov 2022 23:29:55 +0100

qt6-serialport (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove libvulkan-dev as a build dependency, it was really needed as a
    qt6-base-dev dependency due to a CMake file.
  * Add debian/[.gitignore .gitattributes].
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 05 Oct 2022 20:45:24 +0200
