=== debian/control ===
--- 
+++ 
@@ -2,18 +2,16 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
-               libvulkan-dev [linux-any],
+               libqt6opengl6-dev (>= 6.4.1+dfsg~),
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.4.1+dfsg~),
+               qt6-base-private-dev (>= 6.4.1+dfsg~),
 Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialport
@@ -31,11 +29,13 @@
  .
  This package contains the library for Qt 6 Serial ports.
 
-Package: libqt6serialport6-dev
+Package: qt6-serialport-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libqt6serialport6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
+Breaks: libqt6serialport6-dev (<< 6.4.1-2~)
+Replaces: libqt6serialport6-dev (<< 6.4.1-2~)
 Description: Qt 6 serial port development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
