## qt6-serialport 6.4.2

=== src/serialport/CMakeLists.txt ===
--- 
+++ 
@@ -16,15 +16,11 @@
         Qt::Core
     PRIVATE_MODULE_INTERFACE
         Qt::CorePrivate
+    GENERATE_CPP_EXPORTS
 )
 
 ## Scopes:
 #####################################################################
-
-qt_internal_extend_target(SerialPort CONDITION config_ntddmodm
-    DEFINES
-        QT_NO_REDEFINE_GUID_DEVINTERFACE_MODEM
-)
 
 qt_internal_extend_target(SerialPort CONDITION QT_FEATURE_libudev AND UNIX
    DEFINES
@@ -37,7 +33,8 @@
     SOURCES
         qserialport_win.cpp
         qserialportinfo_win.cpp
-        qtntdll_p.h
+        qwinoverlappedionotifier.cpp
+        qwinoverlappedionotifier_p.h
     LIBRARIES
         advapi32
         setupapi
