=== examples/serialport/blockingreceiver/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(blockingreceiver LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/serialport/blockingreceiver")

find_package(Qt6 REQUIRED COMPONENTS Core Gui SerialPort Widgets)

qt_add_executable(blockingreceiver
    dialog.cpp dialog.h
    main.cpp
    receiverthread.cpp receiverthread.h
)

set_target_properties(blockingreceiver PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(blockingreceiver PRIVATE
    Qt::Core
    Qt::Gui
    Qt::SerialPort
    Qt::Widgets
)

install(TARGETS blockingreceiver
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)
