=== examples/serialport/blockingsender/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(blockingsender LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/serialport/blockingsender")

find_package(Qt6 REQUIRED COMPONENTS Core Gui SerialPort Widgets)

qt_add_executable(blockingsender
    dialog.cpp dialog.h
    main.cpp
    senderthread.cpp senderthread.h
)

set_target_properties(blockingsender PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(blockingsender PRIVATE
    Qt::Core
    Qt::Gui
    Qt::SerialPort
    Qt::Widgets
)

install(TARGETS blockingsender
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)
