=== examples/serialport/terminal/CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,16 @@
 cmake_minimum_required(VERSION 3.16)
 project(terminal LANGUAGES CXX)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
 set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
 set(CMAKE_AUTOUIC ON)
 
 if(NOT DEFINED INSTALL_EXAMPLESDIR)
-  set(INSTALL_EXAMPLESDIR "examples")
+    set(INSTALL_EXAMPLESDIR "examples")
 endif()
 
 set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/serialport/terminal")
 
-find_package(Qt6 COMPONENTS Core)
-find_package(Qt6 COMPONENTS Gui)
-find_package(Qt6 COMPONENTS Widgets)
-find_package(Qt6 COMPONENTS SerialPort)
+find_package(Qt6 REQUIRED COMPONENTS Core Gui SerialPort Widgets)
 
 qt_add_executable(terminal
     console.cpp console.h
@@ -24,17 +18,18 @@
     mainwindow.cpp mainwindow.h mainwindow.ui
     settingsdialog.cpp settingsdialog.h settingsdialog.ui
 )
+
 set_target_properties(terminal PROPERTIES
     WIN32_EXECUTABLE TRUE
     MACOSX_BUNDLE TRUE
 )
+
 target_link_libraries(terminal PRIVATE
     Qt::Core
     Qt::Gui
     Qt::SerialPort
     Qt::Widgets
 )
-
 
 # Resources:
 set(terminal_resource_files
