=== debian/changelog ===
qt6-serialport (6.4.2-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:48:39 +1100

qt6-serialport (6.4.2-4build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:01:32 +0000

qt6-serialport (6.4.2-4) unstable; urgency=medium

  * Team upload to unstable.

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Jul 2023 09:13:36 -0300

qt6-serialport (6.4.2-3) experimental; urgency=medium

  * Team upload.
  * Add documentation and examples packages.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 23 Jul 2023 10:48:05 -0300

qt6-serialport (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix FTCBFS: Pass QT_HOST_PATH to cmake, thx to Helmut Grohne
    (Closes: #1030384).

 -- Patrick Franz <deltaone@debian.org>  Sat, 04 Feb 2023 13:32:55 +0100

qt6-serialport (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Tue, 24 Jan 2023 12:38:10 +0100

qt6-serialport (6.4.2~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add a Provides for libqt6serialport6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Dec 2022 14:39:31 +0100

qt6-serialport (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:59 +0100

qt6-serialport (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:34 +0100
