## qt6-serialport 6.7.2

=== debian/changelog ===
qt6-serialport (6.7.2-2) unstable; urgency=medium

  * Remove virtual package libqt6serialport6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:03:35 +0200

qt6-serialport (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Aug 2024 23:36:20 +0200
