=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
                debhelper-compat (= 13),
                libgl-dev,
                ninja-build,
-               pkgconf,
+               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialport
@@ -31,6 +31,7 @@
  This package contains the library for Qt 6 Serial ports.
 
 Package: qt6-serialport-dev
+Provides: libqt6serialport6-dev (= ${binary:Version}),
 Section: libdevel
 Architecture: any
 Multi-Arch: same
