## qt6-serialport 6.8.2

=== src/CMakeLists.txt ===
add_subdirectory(serialport)
