=== debian/changelog ===
qt6-serialport (6.8.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:10:50 +0100

qt6-serialport (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 12:34:38 +0100

qt6-serialport (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Mon, 03 Feb 2025 21:27:01 +0100
