## qt6-serialport 6.8.3

=== src/serialport/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 #####################################################################
 ## SerialPort Module:
 #####################################################################
@@ -8,6 +11,9 @@
         qserialport.cpp qserialport.h qserialport_p.h
         qserialportglobal.h
         qserialportinfo.cpp qserialportinfo.h qserialportinfo_p.h
+        removed_api.cpp
+    NO_PCH_SOURCES
+        removed_api.cpp
     INCLUDE_DIRECTORIES
         ${CMAKE_CURRENT_SOURCE_DIR}
     LIBRARIES
@@ -16,7 +22,6 @@
         Qt::Core
     PRIVATE_MODULE_INTERFACE
         Qt::CorePrivate
-    GENERATE_CPP_EXPORTS
 )
 
 ## Scopes:
