=== debian/control ===
Source: qt6-serialport
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libudev-dev,
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.1)
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-serialport.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-serialport
Maintainer: Neon CI <neon@kde.org>

Package: qt6-serialport
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6serialport6, libqt6serialport6t64
Description: Qt 6 serial port support library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 Serial ports.

Package: qt6-serialport-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-serialport (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6serialport6-dev (<< 6.4.2-2~)
Replaces: libqt6serialport6-dev
Description: Qt 6 serial port development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development headers for the serial port library.

Package: qt6-serialport-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-doc, qt6-serialport-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-serialport-doc-html
Description: Qt 6 serial port documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the serial port library.

Package: libqt6serialport6
Architecture: all
Depends: qt6-serialport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6serialport6t64
Architecture: all
Depends: qt6-serialport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-serialport-doc-html
Architecture: all
Depends: qt6-serialport-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-serialport-examples
Architecture: all
Depends: qt6-serialport-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
